Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcontentobjectstategroup.php
Go to the documentation of this file.
1 <?php
18 class eZContentObjectStateGroup extends eZPersistentObject
19 {
20 public $DefaultLanguageID;
21 const MAX_IDENTIFIER_LENGTH = 45;
22
28 static $allowInternalCUD = false;
29
30 public static function definition()
31 {
32 static $definition = array( "fields" => array( "id" => array( "name" => "ID",
33 "datatype" => "integer",
34 "required" => true ),
35 "identifier" => array( "name" => "Identifier",
36 "datatype" => "string",
37 "required" => true,
38 "max_length" => self::MAX_IDENTIFIER_LENGTH ),
39 "language_mask" => array( "name" => "LanguageMask",
40 "datatype" => "integer",
41 "default" => 0,
42 "required" => true ),
43 "default_language_id" => array( "name" => "DefaultLanguageID",
44 "datatype" => "integer",
45 "required" => true ) ),
46 "keys" => array( "id" ),
47 "function_attributes" => array( "current_translation" => "currentTranslation",
48 "all_translations" => "allTranslations",
49 "translations" => "translations",
50 "languages" => "languages",
51 "available_languages" => "availableLanguages",
52 "default_language" => "defaultLanguage",
53 "states" => "states",
54 "is_internal" => "isInternal" ),
55 "increment_key" => "id",
56 "class_name" => "eZContentObjectStateGroup",
57 "sort" => array( "identifier" => "asc" ),
58 "name" => "ezcobj_state_group" );
59 return $definition;
60 }
61
68 public static function fetchById( $id )
69 {
70 $id = (int)$id;
71 $stateGroups = self::fetchByConditions( array( "ezcobj_state_group.id=$id" ), 1, 0 );
72 $stateGroup = count( $stateGroups ) > 0 ? $stateGroups[0] : false;
73 return $stateGroup;
74 }
75
82 public static function fetchByIdentifier( $identifier )
83 {
84 $db = eZDB::instance();
85 $identifier = $db->escapeString( $identifier );
86 $stateGroups = self::fetchByConditions( array( "ezcobj_state_group.identifier='$identifier'" ), 1, 0 );
87 $stateGroup = count( $stateGroups ) > 0 ? $stateGroups[0] : false;
88 return $stateGroup;
89 }
90
99 private static function fetchByConditions( $conditions, $limit, $offset )
100 {
101 $db = eZDB::instance();
102
103 $defaultConditions = array(
104 'ezcobj_state_group_language.contentobject_state_group_id=ezcobj_state_group.id',
105 eZContentLanguage::languagesSQLFilter( 'ezcobj_state_group' ),
106 eZContentLanguage::sqlFilter( 'ezcobj_state_group_language', 'ezcobj_state_group' )
107 );
108
109 $conditions = array_merge( $conditions, $defaultConditions );
110
111 $conditionsSQL = implode( ' AND ', $conditions );
112
113 $sql = "SELECT * " .
114 "FROM ezcobj_state_group, ezcobj_state_group_language ".
115 "WHERE $conditionsSQL";
116
117 $rows = $db->arrayQuery( $sql, array( 'limit' => $limit, 'offset' => $offset ) );
118
119 $stateGroups = array();
120 foreach ( $rows as $row )
121 {
122 $stateGroup = new eZContentObjectStateGroup( $row );
123 $stateGroupLanguage = new eZContentObjectStateGroupLanguage( $row );
124 $stateGroup->setLanguageObject( $stateGroupLanguage );
125 $stateGroups[] = $stateGroup;
126 }
127
128 return $stateGroups;
129 }
130
138 public static function fetchByOffset( $limit, $offset )
139 {
140 return self::fetchByConditions( array(), $limit, $offset );
141 }
142
148 private function setLanguageObject( eZContentObjectStateGroupLanguage $stateGroupLanguage )
149 {
150 $this->LanguageObject = $stateGroupLanguage;
151 }
152
158 public function currentTranslation()
159 {
160 return $this->LanguageObject;
161 }
162
169 public function setCurrentLanguage( $locale )
170 {
171 $lang = eZContentLanguage::fetchByLocale( $locale );
172 $langID = $lang->attribute( 'id' );
173 foreach ( $this->translations() as $translation )
174 {
175 if ( $translation->attribute( 'language_id' ) == $langID )
176 {
177 $this->setLanguageObject( $translation );
178 return true;
179 }
180 }
181
182 return false;
183 }
184
190 public function allTranslations()
191 {
192 if ( !is_array( $this->AllTranslations ) )
193 {
194 $allTranslations = array();
195 foreach ( $this->translations() as $translation )
196 {
197 $languageID = $translation->attribute( 'language_id' ) & ~1;
198 $allTranslations[$languageID] = $translation;
199 }
200
201 $languages = eZContentLanguage::fetchList();
202 foreach ( $languages as $language )
203 {
204 $languageID = $language->attribute( 'id' );
205
206 if ( !array_key_exists( $languageID, $allTranslations ) )
207 {
208 $row = array( 'real_language_id' => $languageID );
209 if ( isset( $this->ID ) )
210 {
211 $row['contentobject_state_group_id'] = $this->ID;
212 }
213 $allTranslations[$languageID] = new eZContentObjectStateGroupLanguage( $row );
214 }
215 }
216 ksort( $allTranslations );
217 // array_values is needed here to reset keys, otherwise eZHTTPPersistence::fetch() won't work
218 $this->AllTranslations = array_values( $allTranslations );
219 }
220 return $this->AllTranslations;
221 }
222
223 public function translationByLocale( $locale )
224 {
225 $languageID = eZContentLanguage::idByLocale( $locale );
226
227 if ( $languageID )
228 {
229 $translations = $this->allTranslations();
230 foreach ( $translations as $translation )
231 {
232 if ( $translation->attribute( 'real_language_id' ) == $languageID )
233 {
234 return $translation;
235 }
236 }
237 }
238
239 return false;
240 }
241
247 public function translations()
248 {
249 if ( !isset( $this->ID ) )
250 {
251 $this->Translations = array();
252 }
253 else if ( !is_array( $this->Translations ) )
254 {
255 $this->Translations = eZContentObjectStateGroupLanguage::fetchByGroup( $this->ID );
256 }
257 return $this->Translations;
258 }
259
265 public function languages()
266 {
267 return isset( $this->LanguageMask ) ? eZContentLanguage::prioritizedLanguagesByMask( $this->LanguageMask ) : array();
268 }
269
275 public function availableLanguages()
276 {
277 $languages = array();
278 $languageObjects = $this->languages();
279
280 foreach ( $languageObjects as $languageObject )
281 {
282 $languages[] = $languageObject->attribute( 'locale' );
283 }
284
285 return $languages;
286 }
287
296 public function store( $fieldFilters = null )
297 {
298 $db = eZDB::instance();
299
300 $db->begin();
301
302 $languageMask = 1;
303 // set language mask and always available bits
304 foreach ( $this->AllTranslations as $translation )
305 {
306 if ( $translation->hasData() )
307 {
308 $languageID = $translation->attribute( 'real_language_id' );
309 if ( empty( $this->DefaultLanguageID ) )
310 {
311 $this->DefaultLanguageID = $languageID & ~1;
312 }
313 // if default language, set always available flag
314 if ( $languageID & $this->DefaultLanguageID )
315 {
316 $translation->setAttribute( 'language_id', $languageID | 1 );
317 }
318 // otherwise, remove always available flag if it's set
319 else
320 {
321 $translation->setAttribute( 'language_id', $languageID & ~1 );
322 }
323
324 $languageMask = $languageMask | $languageID;
325 }
326 }
327 $this->setAttribute( 'language_mask', $languageMask );
328
329 // store state group
330 eZPersistentObject::storeObject( $this, $fieldFilters );
331
332 // store or remove translations
333 foreach ( $this->AllTranslations as $translation )
334 {
335 if ( !$translation->hasData() )
336 {
337 // the name and description are empty
338 // so the translation needs to be removed if it was stored before
339 if ( $translation->attribute( 'contentobject_state_group_id' ) !== null )
340 {
341 $translation->remove();
342 }
343 }
344 else
345 {
346 if ( $translation->attribute( 'contentobject_state_group_id' ) != $this->ID )
347 {
348 $translation->setAttribute( 'contentobject_state_group_id', $this->ID );
349 }
350
351 $translation->store();
352 }
353 }
354
355 $handler = eZExpiryHandler::instance();
356 $handler->setTimestamp( 'state-limitations', time() );
357
358 $db->commit();
359 }
360
366 public function defaultLanguage()
367 {
368 return eZContentLanguage::fetch( $this->DefaultLanguageID );
369 }
370
378 public function isValid( &$messages = array() )
379 {
380 $isValid = true;
381 // missing identifier
382 if ( !isset( $this->Identifier ) || $this->Identifier == '' )
383 {
384 $messages[] = ezpI18n::tr( 'kernel/state/edit', 'Identifier: input required' );
385 $isValid = false;
386 }
387 else
388 {
389 // make sure the identifier contains only valid characters
390 $trans = eZCharTransform::instance();
391 $validIdentifier = $trans->transformByGroup( $this->Identifier, 'identifier' );
392 if ( strcmp( $validIdentifier, $this->Identifier ) != 0 )
393 {
394 // invalid identifier
395 $messages[] = ezpI18n::tr( 'kernel/state/edit', 'Identifier: invalid, it can only consist of characters in the range a-z, 0-9 and underscore.' );
396 $isValid = false;
397 }
398 else if ( !self::$allowInternalCUD && strncmp( $this->Identifier, 'ez', 2 ) === 0 )
399 {
400 $messages[] = ezpI18n::tr( 'kernel/state/edit', 'Identifier: identifiers starting with "ez" are reserved.' );
401 $isValid = false;
402 }
403 else if ( strlen( $this->Identifier ) > self::MAX_IDENTIFIER_LENGTH )
404 {
405 $messages[] = ezpI18n::tr( 'kernel/state/edit', 'Identifier: invalid, maximum %max characters allowed.',
406 null, array( '%max' => self::MAX_IDENTIFIER_LENGTH ) );
407 $isValid = false;
408 }
409 else
410 {
411 // check for existing identifier
412 $existingGroup = self::fetchByIdentifier( $this->Identifier );
413 if ( $existingGroup && ( !isset( $this->ID ) || $existingGroup->attribute( 'id' ) !== $this->ID ) )
414 {
415 $messages[] = ezpI18n::tr( 'kernel/state/edit', 'Identifier: a content object state group with this identifier already exists, please give another identifier' );
416 $isValid = false;
417 }
418 }
419 }
420
421 $translationsWithData = 0;
422 foreach ( $this->AllTranslations as $translation )
423 {
424 if ( $translation->hasData() )
425 {
426 $translationsWithData++;
427 if ( !$translation->isValid( $messages ) )
428 {
429 $isValid = false;
430 }
431 }
432 else if ( ( $translation->attribute( 'language_id' ) & ~1 ) == $this->DefaultLanguageID )
433 {
434 // if name nor description are set but translation is specified as main language
435 $isValid = false;
436 $messages[] = ezpI18n::tr( 'kernel/state/edit', '%language_name: this language is the default but neither name or description were provided for this language', null, array( '%language_name' => $translation->attribute( 'language' )->attribute( 'locale_object' )->attribute( 'intl_language_name' ) ) );
437 }
438 }
439
440 if ( $translationsWithData == 0 )
441 {
442 $isValid = false;
443 $messages[] = ezpI18n::tr( 'kernel/state/edit', 'Translations: you need to add at least one localization' );
444 }
445 else if ( empty( $this->DefaultLanguageID ) && $translationsWithData > 1 )
446 {
447 $isValid = false;
448 $messages[] = ezpI18n::tr( 'kernel/state/edit', 'Translations: there are multiple localizations but you did not specify which is the default one' );
449 }
450
451 return $isValid;
452 }
453
460 public function states( $refreshMemberVariable = false )
461 {
462 if ( !isset( $this->ID ) )
463 {
464 return array();
465 }
466 else if ( !is_array( $this->States ) || $refreshMemberVariable )
467 {
468 $this->States = eZContentObjectState::fetchByGroup( $this->ID );
469 }
470
471 return $this->States;
472 }
473
481 public function fetchHTTPPersistentVariables()
482 {
483 $translations = $this->allTranslations();
484
485 $http = eZHTTPTool::instance();
486 eZHTTPPersistence::fetch( 'ContentObjectStateGroup' , eZContentObjectStateGroup::definition(), $this, $http, false );
487 eZHTTPPersistence::fetch( 'ContentObjectStateGroup' , eZContentObjectStateGroupLanguage::definition(), $translations, $http, true );
488 }
489
495 public static function removeByID( $id )
496 {
497 $db = eZDB::instance();
498 $db->begin();
499 $states = eZContentObjectState::fetchByGroup( $id );
500 foreach ( $states as $state )
501 {
502 eZContentObjectState::removeByID( $state->attribute( 'id' ) );
503 }
504 eZPersistentObject::removeObject( eZContentObjectStateGroupLanguage::definition(), array( 'contentobject_state_group_id' => $id ) );
505 eZPersistentObject::removeObject( eZContentObjectStateGroup::definition(), array( 'id' => $id ) );
506 $db->commit();
507 }
508
514 public function removeStatesByID( $idList )
515 {
516 $newDefaultStateID = null;
517 $removeIDList = array();
518
519 $db = eZDB::instance();
520 $db->begin();
521
522 $states = $this->states();
523
524 foreach ( $states as $state )
525 {
526 $stateID = $state->attribute( 'id' );
527 if ( in_array( $stateID, $idList ) )
528 {
529 $removeIDList[] = $stateID;
530 }
531 else if ( $newDefaultStateID === null )
532 {
533 $newDefaultStateID = $stateID;
534 }
535 }
536
537 $removeIDListCount = count( $removeIDList );
538 if ( $removeIDListCount > 0 )
539 {
540 if ( $newDefaultStateID )
541 {
542 $contentObjectStateIDCondition = $removeIDListCount > 1 ? $db->generateSQLINStatement( $removeIDList, 'contentobject_state_id' ) :
543 "contentobject_state_id=$removeIDList[0]";
544 $db->query( "UPDATE ezcobj_state_link
545 SET contentobject_state_id=$newDefaultStateID
546 WHERE $contentObjectStateIDCondition" );
547 eZContentObjectState::cleanDefaultsCache();
548 }
549
550 foreach ( $removeIDList as $id )
551 {
552 eZContentObjectState::removeByID( $id );
553 }
554
555 // re-order remaining states in the same group
556 $states = $this->states( true );
557 $i = 0;
558 foreach ( $states as $state )
559 {
560 $state->setAttribute( 'priority', $i );
561 $state->sync( array( 'priority' ) );
562 $i++;
563 }
564 }
565 $db->commit();
566 }
567
574 public function reorderStates( $stateIDList )
575 {
576 $stateIDList = array_values( $stateIDList );
577
578 $states = $this->states();
579
580 $currentStateIDList = array();
581 foreach ( $states as $state )
582 {
583 $stateID = $state->attribute( 'id' );
584 if ( !in_array( $stateID, $stateIDList ) )
585 {
586 return false;
587 }
588
589 // need to convert to int here, otherwise comparing arrays with === won't work
590 $currentStateIDList[] = (int)$stateID;
591 }
592
593 if ( $stateIDList === $currentStateIDList )
594 {
595 // order didn't change at all
596 return true;
597 }
598
599 $db = eZDB::instance();
600 $db->begin();
601 foreach ( $stateIDList as $i => $updateID )
602 {
603 if ( $currentStateIDList[$i] != $updateID )
604 {
605 $db->query( "UPDATE ezcobj_state SET priority=$i WHERE id=$updateID" );
606 }
607 }
608 $db->commit();
609
610 // re-order states in the same group
611 $this->states( true );
612
613 return true;
614 }
615
622 public function newState( $identifier = null )
623 {
624 return new eZContentObjectState( array( 'group_id' => $this->ID,
625 'identifier' => $identifier ) );
626 }
627
628 public function isInternal()
629 {
630 return ( $this->ID && strncmp( $this->Identifier, 'ez', 2 ) === 0 );
631 }
632
633 public function stateByIdentifier( $stateIdentifier )
634 {
635 return eZContentObjectState::fetchByIdentifier( $stateIdentifier, $this->attribute( 'id' ) );
636 }
637
643 public static function limitations()
644 {
645 static $limitations;
646
647 if ( $limitations === null )
648 {
649 $db = eZDB::instance();
650 $dbName = md5( $db->DB );
651
652 $cacheDir = eZSys::cacheDirectory();
653 $phpCache = new eZPHPCreator( $cacheDir,
654 'statelimitations_' . $dbName . '.php',
655 '',
656 array( 'clustering' => 'statelimitations' ) );
657
658 $handler = eZExpiryHandler::instance();
659 $storedTimeStamp = $handler->hasTimestamp( 'state-limitations' ) ? $handler->timestamp( 'state-limitations' ) : false;
660 $expiryTime = $storedTimeStamp !== false ? $storedTimeStamp : 0;
661
662 if ( $phpCache->canRestore( $expiryTime ) )
663 {
664 $var = $phpCache->restore( array( 'state_limitations' => 'state_limitations' ) );
665 $limitations = $var['state_limitations'];
666 }
667 else
668 {
669 $limitations = array();
670
671 $groups = self::fetchByConditions( array( "identifier NOT LIKE 'ez%'" ), false, false );
672
673 foreach ( $groups as $group )
674 {
675 $name = 'StateGroup_' . $group->attribute( 'identifier' );
676 $limitations[$name] = array(
677 'name' => $name,
678 'values' => array(),
679 'class' => __CLASS__,
680 'function' => 'limitationValues',
681 'parameter' => array( $group->attribute( 'id' ) )
682 );
683 }
684
685 $phpCache->addVariable( 'state_limitations', $limitations );
686 $phpCache->store();
687 }
688
689 if ( $storedTimeStamp === false )
690 {
691 $handler->setTimestamp( 'state-limitations', time() );
692 }
693 }
694
695 return $limitations;
696 }
697
704 public static function limitationValues( $groupID )
705 {
706 $group = self::fetchById( $groupID );
707 $states = array();
708
709 if ( $group !== false )
710 $states = $group->attribute( 'states' );
711
712 $limitationValues = array();
713 foreach ( $states as $state )
714 {
715 $limitationValues[] = array( 'name' => $state->attribute( 'current_translation' )->attribute( 'name' ),
716 'id' => $state->attribute( 'id' ) );
717 }
718
719 return $limitationValues;
720 }
721
722 private $LanguageObject;
723 private $Translations;
724 private $AllTranslations;
725 private $States;
726 }
727 ?>
$locale
$locale
Definition: admin/adlist.php:127
$i
$i
Definition: admin/adlist.php:91
$group
$group
Definition: admin/articleedit.php:799
$http
$http
Definition: authorize.php:20
eZCharTransform\instance
static instance()
Definition: ezchartransform.php:435
eZContentLanguage\fetchList
static fetchList( $forceReloading=false)
Definition: ezcontentlanguage.php:164
eZContentLanguage\sqlFilter
static sqlFilter( $languageTable, $languageListTable=null, $languageAttributeName='language_id', $languageListAttributeName='language_mask', $lang=false)
Definition: ezcontentlanguage.php:693
eZContentLanguage\fetch
static fetch( $id)
Definition: ezcontentlanguage.php:252
eZContentLanguage\idByLocale
static idByLocale( $locale)
Definition: ezcontentlanguage.php:638
eZContentLanguage\prioritizedLanguagesByMask
static prioritizedLanguagesByMask( $mask)
Definition: ezcontentlanguage.php:455
eZContentLanguage\languagesSQLFilter
static languagesSQLFilter( $languageListTable, $languageListAttributeName='language_mask')
Definition: ezcontentlanguage.php:660
eZContentLanguage\fetchByLocale
static fetchByLocale( $locale, $createIfNotExist=false)
Definition: ezcontentlanguage.php:265
eZContentObjectStateGroupLanguage
Definition: ezcontentobjectstategrouplanguage.php:22
eZContentObjectStateGroupLanguage\definition
static definition()
Definition: ezcontentobjectstategrouplanguage.php:25
eZContentObjectStateGroupLanguage\fetchByGroup
static fetchByGroup( $id)
Definition: ezcontentobjectstategrouplanguage.php:63
eZContentObjectStateGroup
Definition: ezcontentobjectstategroup.php:19
eZContentObjectStateGroup\isInternal
isInternal()
Definition: ezcontentobjectstategroup.php:628
eZContentObjectStateGroup\translationByLocale
translationByLocale( $locale)
Definition: ezcontentobjectstategroup.php:223
eZContentObjectStateGroup\reorderStates
reorderStates( $stateIDList)
Definition: ezcontentobjectstategroup.php:574
eZContentObjectStateGroup\fetchByOffset
static fetchByOffset( $limit, $offset)
Definition: ezcontentobjectstategroup.php:138
eZContentObjectStateGroup\removeByID
static removeByID( $id)
Definition: ezcontentobjectstategroup.php:495
eZContentObjectStateGroup\$DefaultLanguageID
$DefaultLanguageID
Definition: ezcontentobjectstategroup.php:20
eZContentObjectStateGroup\limitations
static limitations()
Definition: ezcontentobjectstategroup.php:643
eZContentObjectStateGroup\allTranslations
allTranslations()
Definition: ezcontentobjectstategroup.php:190
eZContentObjectStateGroup\$AllTranslations
$AllTranslations
Definition: ezcontentobjectstategroup.php:724
eZContentObjectStateGroup\languages
languages()
Definition: ezcontentobjectstategroup.php:265
eZContentObjectStateGroup\store
store( $fieldFilters=null)
Definition: ezcontentobjectstategroup.php:296
eZContentObjectStateGroup\translations
translations()
Definition: ezcontentobjectstategroup.php:247
eZContentObjectStateGroup\$allowInternalCUD
static $allowInternalCUD
Definition: ezcontentobjectstategroup.php:28
eZContentObjectStateGroup\setLanguageObject
setLanguageObject(eZContentObjectStateGroupLanguage $stateGroupLanguage)
Definition: ezcontentobjectstategroup.php:148
eZContentObjectStateGroup\removeStatesByID
removeStatesByID( $idList)
Definition: ezcontentobjectstategroup.php:514
eZContentObjectStateGroup\states
states( $refreshMemberVariable=false)
Definition: ezcontentobjectstategroup.php:460
eZContentObjectStateGroup\$LanguageObject
$LanguageObject
Definition: ezcontentobjectstategroup.php:722
eZContentObjectStateGroup\$States
$States
Definition: ezcontentobjectstategroup.php:725
eZContentObjectStateGroup\fetchByConditions
static fetchByConditions( $conditions, $limit, $offset)
Definition: ezcontentobjectstategroup.php:99
eZContentObjectStateGroup\limitationValues
static limitationValues( $groupID)
Definition: ezcontentobjectstategroup.php:704
eZContentObjectStateGroup\availableLanguages
availableLanguages()
Definition: ezcontentobjectstategroup.php:275
eZContentObjectStateGroup\stateByIdentifier
stateByIdentifier( $stateIdentifier)
Definition: ezcontentobjectstategroup.php:633
eZContentObjectStateGroup\$Translations
$Translations
Definition: ezcontentobjectstategroup.php:723
eZContentObjectStateGroup\fetchHTTPPersistentVariables
fetchHTTPPersistentVariables()
Definition: ezcontentobjectstategroup.php:481
eZContentObjectStateGroup\defaultLanguage
defaultLanguage()
Definition: ezcontentobjectstategroup.php:366
eZContentObjectStateGroup\currentTranslation
currentTranslation()
Definition: ezcontentobjectstategroup.php:158
eZContentObjectStateGroup\fetchByIdentifier
static fetchByIdentifier( $identifier)
Definition: ezcontentobjectstategroup.php:82
eZContentObjectStateGroup\setCurrentLanguage
setCurrentLanguage( $locale)
Definition: ezcontentobjectstategroup.php:169
eZContentObjectStateGroup\fetchById
static fetchById( $id)
Definition: ezcontentobjectstategroup.php:68
eZContentObjectStateGroup\MAX_IDENTIFIER_LENGTH
const MAX_IDENTIFIER_LENGTH
Definition: ezcontentobjectstategroup.php:21
eZContentObjectStateGroup\definition
static definition()
Definition: ezcontentobjectstategroup.php:30
eZContentObjectStateGroup\isValid
isValid(&$messages=array())
Definition: ezcontentobjectstategroup.php:378
eZContentObjectStateGroup\newState
newState( $identifier=null)
Definition: ezcontentobjectstategroup.php:622
eZContentObjectState
Definition: ezcontentobjectstate.php:19
eZContentObjectState\fetchByIdentifier
static fetchByIdentifier( $identifier, $groupID)
Definition: ezcontentobjectstate.php:87
eZContentObjectState\removeByID
static removeByID( $id)
Definition: ezcontentobjectstate.php:560
eZContentObjectState\cleanDefaultsCache
static cleanDefaultsCache()
Definition: ezcontentobjectstate.php:532
eZContentObjectState\fetchByGroup
static fetchByGroup( $groupID, $limit=false, $offset=false)
Definition: ezcontentobjectstate.php:150
eZPHPCreator
eZPHPCreator provides a simple interface for creating and executing PHP code.
eZPersistentObject
Definition: ezpersistentobject.php:34
eZPersistentObject\$ID
$ID
Definition: ezpersistentobject.php:1449
eZPersistentObject\removeObject
static removeObject( $def, $conditions=null, $extraConditions=null)
Definition: ezpersistentobject.php:272
eZPersistentObject\storeObject
static storeObject( $obj, $fieldFilters=null)
Definition: ezpersistentobject.php:339
eZPersistentObject\setAttribute
setAttribute( $attr, $val)
Definition: ezpersistentobject.php:1375
eZPersistentObject\count
static count( $def, $conds=null, $field=null)
Definition: ezpersistentobject.php:188
eZPersistentObject\attribute
attribute( $attr, $noFunction=false)
Definition: ezpersistentobject.php:1330
eZSys\cacheDirectory
static cacheDirectory()
Definition: ezsys.php:528
$name
$name
Definition: companytypelist.php:194
$id
$id
Definition: companytypelist.php:193
$lang
$lang
Definition: ecommerce/jscalendar/test.php:4
$db
$db
Definition: ezarticle/user/authorlist.php:53
$groups
if( $CategoryID !=0) $groups
Definition: ezbulkmail/admin/categoryedit.php:108
$row
$row
Definition: ezcalendar/user/dayview.php:403
$groupID
$groupID
Definition: ezgroupeventcalendar/user/dayview.php:90
$limit
$limit
Definition: ezimagecatalogue/admin/imagelist.php:312
$offset
$offset
Definition: ezstats/admin/cron.php:51
$rows
$rows
Definition: frontpage.php:128
$messages
$messages
Definition: homepage.php:328
$language
$language
Definition: messageform.php:32
$translation
$translation
Definition: ordersendt.php:62
$states
$states
Definition: step2.php:47
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.